QGIS Application - Bug report #18477
QGIS 3 "unable to save auxiliary storage”
2018-03-19 05:24 AM - R L

Status: Feedback

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.4.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26365
Description

Using QGIS 3, upon attempting to save the loaded project, I'll get the message "unable to save auxiliary storage" and the saving will be
unsuccessful.

It doesn't have happen every time | use the program, but | can't isolate anything different about the times it does.

Related issues:
Duplicated by QGIS Application - Bug report # 20828: Unable to save project /... Closed 2018-12-18

History

#1 - 2018-04-23 09:08 PM - Brendan Heberlein

| also have experienced this issue. Running Mac OS 10.13.3 on Early 2015 MacBook Pro Retina.

#2 - 2018-05-08 05:25 PM - Cameron Maclver

| have the same issue. running an iMac with os 10.13.4

#3 - 2018-05-09 12:08 PM - Harrissou Santanna
- Operating System deleted (Windows 10)

Given the different OS concerned i remove the OS mention.

When it occurs, does it really prevent you to save the auxiliary storage data (hence you lose your work) or is it simply a message with no effects?

#4 - 2018-05-12 09:50 PM - Tommy Wahlund

Same issue. Qgis 3.0.2 (revision 307d082e3d). Windows 10. Could not isolate a reason to it either, since it only happens now and then.

The file got saved thought, so in my case the message was without effect.

#5 - 2018-05-31 03:09 AM - Calvin Thompson

I've experienced this issue on 2.18.16 and now 3.0.2. | often leave qgis running as | add new client properties for my lawn care company. If | forget to save

this can be a nuisance since I'll have to reload all the shape files.

Just now it happened again in 3.02, however | ended task in task manager hoping an automatic backup would save me. When | reopened it was up to
date. Don't know if it has no effect in 3.02 or not, but there definitely was a small panic thinking | was going to have to recreate my project file again.
Win 10

#6 - 2018-07-07 03:05 AM - Adam Stewart

Also encountered this on macOS 10.13.5 with QGIS 3.2.0. Unfortunately, | have no additional info on how to reproduce it. It affects both Save and Save

As. Before | tried to save, | tried to quit and it asked me if | wanted to save my changes. After seeing the error message, it no longer complained when |

tried to quit, so | assume this means it actually saved and the error message is a red herring.

#7 - 2018-07-09 03:43 PM - Madeline Chmielinski

Encountered this on macOS 10.12.6. QGIS did not save but | was able to work around this by saving as .qgs instead of the default .qgz

#8 - 2018-07-18 06:58 PM - Mars Sjoden

QGIS version 3.2.0-Bonn
Mac 10.12.6

Same issue. Even though the same project has been saved to the same location before, this morning the error window popped up:

"unable to save auxiliary storage"

Saving as .qgs worked.

#9 - 2018-07-18 07:02 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.2

- Category changed from Unknown to Project Loading/Saving

#10 - 2018-08-16 12:45 PM - Kim Frankcombe

Same issue on Ubuntu 16.04 with QGIS 3.2.1. Tried save, save as, tried saving to /tmp where | know write permissions would not be an issue all no good.

Change the files type to .qgs and it all worked fine. Curious that the file | originally opened was a qgs file so not sure why it wanted to change to .qgz on

plain save. | just tried to repeat my steps but it now saves just fine so | can't reliably reproduce this sorry.

#11 - 2018-08-16 01:10 PM - Giovanni Manghi

- Affected QGIS version changed from 3.2 to 3.2.1

#12 - 2018-09-12 09:20 AM - Samuel Wechsler

| observed same behaviour on Windows and with QGIS3.2 only happend when trying to save to .qgz but not to .qgis (same project).

#13 - 2018-09-12 11:10 AM - Regis Haubourg

- Priority changed from Normal to High

#14 - 2018-09-12 02:10 PM - Regis Haubourg
- Status changed from Open to Feedback
I just tested under ubuntu 16.04 and Windows 10 with QGIS 3.2.2. | couldn't reproduce. Can someone share a project and a dataset. We maybe have a

data specific failure here

#15 - 2018-09-18 02:05 PM - Sebastian Hahn

| just testet with QGIS 3.2.3 under Windows 10. Saving as qgz still fails because of auxiliary storage. Saving as qgs works.

#16 - 2018-09-18 07:59 PM - Giovanni Manghi
- Affected QGIS version changed from 3.2.1 to 3.2.3

#17 - 2018-10-01 11:20 AM - Paul Blottiere

| did not succeed in reproducing the error, so | opened a PR in order to add a more explicit message: https://github.com/qgis/QGIS/pull/8081.

It's not a bugfix of course, but it will help us to determine the origin of the problem.

#18 - 2018-10-05 05:42 PM - Tom Grundy
- File Road_Centerlines.zip added
- File nevada_county roads.zip added

Same issue in 3.2.1 on Windows 10. Simple project (nevada_county_roads) and base data (Road_Centerlines) attached. Maybe a possible clue: it had

been saving fine as qgz for quite a while, and after | added some rule-based symbology to Road_Centerlines, it started giving the same message.

Changed from .qgz to .qgs and it saves fine. | have not tried to track it down any farther, since | need to move forward on this project with the valid .qgs

workaround in place. Thanks

#19 - 2018-12-03 07:18 PM - Nick Hatch

Paul Blottiere wrote:

I opened a PR in order to add a more explicit message. It's not a bugfix of course, but it will help us to determine the origin of the problem.

Thanks Paul - | think that was really helpful. Just hit this with QGIS 3.4.1-Madeira on macOS 10.12.6, the error message was: "Unable to save auxiliary

storage (‘Cannot open /var/folders/2l/.../ T/QGIS3-duDXtB/ProjectName.qgd for input')"

| first hit this issue with QGIS 3.2.x(1?) on OS X with a long-running open project, and lost a lot of work. Upgraded to 3.4.1-Madeira - and was really

cautious with saving frequently. Was away from the computer for two-weeks, when | came back the computer was in a deep hibernate state with QGIS

open. Tried to save and quit, received the error.

Is it possible that the root cause here is the underlying OS cleaning up temporary files out from under QGIS?

#20 - 2018-12-05 05:45 PM - Giovanni Manghi

- Affected QGIS version changed from 3.2.3 to 3.4.1

#21 - 2019-01-02 05:23 PM - belg4mit -

I've run into this as well. It definitely does not save the data (the file timestamp remains unmodified), yet the asterisk indicating unsaved data in the window
title disappears.

Bug #20828 seems to be a duplicate of this, but it does include a work-around for those encountering it, which might also be included in a revised error

dialog: Try saving as QGS instead of QGZ.

#22 - 2019-02-06 08:34 AM - Alister Hood

The error message indicates it is trying to save in the temporary directory e.g. C:/Users/username/AppData/Local/Temp/QGIS3-FaxmiV/

Is it right that it is trying to save there?

#23 - 2019-02-06 11:36 AM - Alister Hood

| guess it saves to the temporary folder and then zips it up.

Does everyone experiencing this hibernate their pc?

#24 - 2019-02-19 12:26 PM - Andreas Olsson

Same problem on Windows 10.

Error message: "Unable to save project C:\*****" -> "Unable to save auxiliary storage ('Cannot open
C:/Users/****/AppData/Local/Temp/QGIS3-pbvmY1/*****.qgd for input')"

The folder isnt there, so does it fail to create it??

QGIS 3.4.4-1

It seems to be a difference using .qgs instead of qgz.

#25 - 2019-03-06 06:10 PM - Chris Ford

Had the same problem using 3.4.4 on mac when save as uses .qgs.qgz (suggested) or .qgz (changed to) file type. The project is not saved.

Solved by using a .ggs file type.

#26 - 2019-03-09 11:08 AM - Giovanni Manghi
- Duplicated by Bug report #20828: Unable to save project / auxiliary storage added

Files
nevada_county_roads.zip 9.22 KB 2018-10-05 Tom Grundy
Road_Centerlines.zip 2.83 MB 2018-10-05 Tom Grundy
